Attribute VB_Name = "Module1"
Option Explicit

'
'This code runs before loading the first Form.  We do this in oder to cause the DLLs
'involved to be loaded in the correct sequence, picking up the Common Controls 6.x
'assembly before the VB6 runtime tries to load the default (old style) assembly.
'
'This means nothing without an application manifest, which we have (this is resource
'type=#24, id=#1).  However this manifest only applies to a compiled EXE and is
'ignored during IDE testing.
'
'Note that to avoid the resource being loaded with NUL padding to a DWORD boundary
'resulting in invalid XML you should add whitespace padding to a multiple of 4 UTF-8
'(actually we're using ASCII but that's a valid subset of UTF-8) characters.  Blank
'spaces after the root closing tag work fine for this.
'
'The two calls themselves just cause library loading for us.  We don't care about
'their returned values or other side-effects, they do not matter here.
'

Private Declare Function InitCommonControls Lib "comctl32" () As Long
   
Private Declare Function IsUserAnAdmin Lib "shell32" () As Long

Private Sub InitCommonControlsVB()
    IsUserAnAdmin
    InitCommonControls
End Sub

Private Sub Main()
    InitCommonControlsVB
    Form1.Show
End Sub

